Subject: [bug#78102] [PATCH] gnu: Add redumper.

From: Gabriel Wicki <[email-masked]>
Date: Tue, 29 Apr 2025 20:02:53 +0200

Hey Maxim and Greg

On Wed, Apr 30, 2025 at 12:37:22AM +0900, Maxim Cournoyer wrote:
> > but unfortunately the 'adjust-CPLUS_INCLUDE_PATH phase does not work in
> > cross-compilation context.  do you think it is possible to get this to
> > work?  that would be really awesome.
> 
> The problem was cross-compiling libcxx, which I've now resolved (see the
> v2 I just sent).
Looks good, though I must admit that reviewing changes in our cmake
build system is somewhat out of my realm - maybe some other devs want to
chime in on the issue (C++ team, maybe - I CC you, Greg, for that)?

> > the error i'm getting says:
> >> error: in phase 'adjust-CPLUS_INCLUDE_PATH': uncaught exception:
> >> wrong-type-arg "string-append" "Wrong type (expecting ~A): ~S" ("string" #f) (#f) 
> 
> Now we actually get to the cross-compilation of redumper, and it fails.
> clang seems unable to locate what it needs from the glibc, as in this
> bug report: <https://github.com/llvm/llvm-project/issues/72256>.
>
> I'll punt on the cross-compilation part.
So, IIUC, the bug may (hopefully) eventually be fixed by an upstream
clang version bump, since it seems to affect various cross-compilation
contexts and is not tied to our project?

Thanks for your time and effort!
g